Cocoon API: Class DefaultQueryCreator

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.processor.sql
Class DefaultQueryCreator

    java.lang.Object
      |
      +--org.apache.cocoon.processor.sql.DefaultQueryCreator

All Implemented Interfaces:
  QueryCreator

public class DefaultQueryCreator
extends java.lang.Object
implements QueryCreator

A class that can create a SQL query. It's given a query to start with, plus a query_props table that contains parameters from the XML file, and the parameters table from cocoon that notably may contain a HttpServletRequest object keyed from "request".

Version:
  $Revision: 1.2 $ $Date: 2000/02/13 18:29:32 $
Author:
  Donald Ball, Sidney Chong

Field Summary
`static int` | `REQUEST`
`static int` | `SESSION`

Constructor Summary
`DefaultQueryCreator()`

Method Summary
`java.lang.String` | `getQuery(java.sql.Connection conn, java.lang.String query, org.w3c.dom.Element query_element, java.util.Properties query_props, java.util.Dictionary parameters)`
`protected static java.lang.String` | `getValue(javax.servlet.http.HttpServletRequest req, java.lang.String name, int type)`
`protected static java.lang.String` | `substitute(java.lang.String query, javax.servlet.http.HttpServletRequest req, java.lang.String ldelim, java.lang.String rdelim, int type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SESSION

    public static final int SESSION

### REQUEST

    public static final int REQUEST

Constructor Detail

### DefaultQueryCreator

    public DefaultQueryCreator()

Method Detail

### getQuery

    public java.lang.String getQuery(java.sql.Connection conn,
                                     java.lang.String query,
                                     org.w3c.dom.Element query_element,
                                     java.util.Properties query_props,
                                     java.util.Dictionary parameters)
                              throws java.lang.Exception

  Specified by:
    `getQuery` in interface `QueryCreator`

### substitute

    protected static java.lang.String substitute(java.lang.String query,
                                                 javax.servlet.http.HttpServletRequest req,
                                                 java.lang.String ldelim,
                                                 java.lang.String rdelim,
                                                 int type)

### getValue

    protected static java.lang.String getValue(javax.servlet.http.HttpServletRequest req,
                                               java.lang.String name,
                                               int type)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.